From: Jochen Sprickerhof <git@jochen.sprickerhof.de>
Date: Tue, 4 Aug 2015 19:23:15 +0200
Subject: Add Debian specific SOVERSION

---
 camera_calibration_parsers/CMakeLists.txt | 1 +
 camera_info_manager/CMakeLists.txt        | 1 +
 image_transport/CMakeLists.txt            | 1 +
 polled_camera/CMakeLists.txt              | 2 +-
 4 files changed, 4 insertions(+), 1 deletion(-)

diff --git a/camera_calibration_parsers/CMakeLists.txt b/camera_calibration_parsers/CMakeLists.txt
index 4f08187..12ce500 100644
--- a/camera_calibration_parsers/CMakeLists.txt
+++ b/camera_calibration_parsers/CMakeLists.txt
@@ -41,6 +41,7 @@ add_library(${PROJECT_NAME}_wrapper
   src/parse_wrapper.cpp)
 
 target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${YAML_CPP_LIBRARIES} ${Boost_FILESYSTEM_LIBRARY})
+set_target_properties(${PROJECT_NAME} PROPERTIES VERSION ${camera_calibration_parsers_VERSION} SOVERSION "0d")
 target_link_libraries(${PROJECT_NAME}_wrapper ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
 
 # Don't prepend wrapper library name with lib and add to Python libs.
diff --git a/camera_info_manager/CMakeLists.txt b/camera_info_manager/CMakeLists.txt
index ddf9d1f..ba7b544 100644
--- a/camera_info_manager/CMakeLists.txt
+++ b/camera_info_manager/CMakeLists.txt
@@ -16,6 +16,7 @@ include_directories(include)
 # add a library
 add_library(${PROJECT_NAME} src/camera_info_manager.cpp)
 target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
+set_target_properties(${PROJECT_NAME} PROPERTIES VERSION ${camera_info_manager_VERSION} SOVERSION "0d")
 
 install(TARGETS ${PROJECT_NAME}
         ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
diff --git a/image_transport/CMakeLists.txt b/image_transport/CMakeLists.txt
index 578205b..31d7c98 100644
--- a/image_transport/CMakeLists.txt
+++ b/image_transport/CMakeLists.txt
@@ -32,6 +32,7 @@ add_library(${PROJECT_NAME}
   src/subscriber.cpp
 )
 add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
+set_target_properties(${PROJECT_NAME} PROPERTIES VERSION ${image_transport_VERSION} SOVERSION "0d")
 target_link_libraries(${PROJECT_NAME}
   ${Boost_LIBRARIES}
   ${catkin_LIBRARIES}
diff --git a/polled_camera/CMakeLists.txt b/polled_camera/CMakeLists.txt
index 9e2645d..90df0e0 100644
--- a/polled_camera/CMakeLists.txt
+++ b/polled_camera/CMakeLists.txt
@@ -24,7 +24,7 @@ include_directories(include
 add_library(${PROJECT_NAME} src/publication_server.cpp)
 add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})
 target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
-
+set_target_properties(${PROJECT_NAME} PROPERTIES VERSION ${polled_camera_VERSION} SOVERSION "0d")
 install(TARGETS ${PROJECT_NAME}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
